import { CalculatedColumn as CalculatedColumn_internal } from "./CalculatedColumn";
import { EnumeratorWrapper } from "igniteui-react-core/ES5/type";
/**
 * Represents a column that is calculated based on the values of other columns.
*/
export declare class CalculatedColumn {
    protected _implementation: any;
    readonly i: CalculatedColumn_internal;
    private onImplementationCreated;
    constructor();
    protected _provideImplementation(i: any): void;
    [Symbol.iterator](): EnumeratorWrapper<number>;
}
